%global appname QOwnNotes
%global url1    https://github.com/pbek

Name:           qownnotes
Version:        24.8.3
Release:        %mkrel 1
Summary:        Plain-text file markdown note taking with Nextcloud/ownCloud integration
License:        MIT and BSD and GPLv2 and GPLv3+ and LGPLv2+ and ASL 2.0
Group:          Office/Utilities
URL:            https://www.qownnotes.org
Source0:        https://github.com/pbek/QOwnNotes/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(botan-2)

Recommends:     %{name}-translations = %{version}-%{release}

%description
QOwnNotes is the open source notepad with markdown support and todo list manager
for GNU/Linux, Mac OS X and Windows, that works together with the default notes
application of ownCloud and Nextcloud.

You are able to write down your thoughts with QOwnNotes and edit or search for
them later from your mobile device, like with CloudNotes or the
ownCloud/Nextcloud web-service.

The notes are stored as plain text files and are synced with
ownCloud's/Nextcloud's file sync functionality. Of course other software, like
Syncthing or Dropbox can be used too.

I like the concept of having notes accessible in plain text files, like it is
done in the ownCloud/Nextcloud notes apps, to gain a maximum of freedom, but I
was not able to find a decent desktop note taking tool or a text editor, that
handles them well. Out of this need QOwnNotes was born.


%package        translations
Summary:        Translations files for %{name}
Group:          System/Internationalization
BuildArch:      noarch

Requires:       %{name} >= %{version}-%{release}

%description    translations
Translations files for %{name}.


%prep
%autosetup -n %{name}-%{version}

echo "#define RELEASE \"%{_vendor}\"" > release.sh

%build
%qmake_qt6 \
    PREFIX=%{buildroot}%{_prefix} \
    USE_SYSTEM_BOTAN=1
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
#{_metainfodir}/*.xml

%files translations
%{_datadir}/qt6/translations/%{appname}_*


%changelog
* Tue Aug 06 2024 daviddavid <daviddavid> 24.8.3-1.mga10
+ Revision: 2083701
- new version: 24.8.3

* Wed Jul 31 2024 daviddavid <daviddavid> 24.7.3-1.mga10
+ Revision: 2083034
- new version: 24.7.3

* Sat Jul 20 2024 daviddavid <daviddavid> 24.7.1-1.mga10
+ Revision: 2082136
- new version: 24.7.1

* Mon Jul 08 2024 daviddavid <daviddavid> 24.7.0-1.mga10
+ Revision: 2080340
- new version: 24.7.0

* Wed Jun 19 2024 daviddavid <daviddavid> 24.6.3-1.mga10
+ Revision: 2075168
- new version: 24.6.3

* Wed Mar 27 2024 daviddavid <daviddavid> 24.3.5-1.mga10
+ Revision: 2052562
- new version 24.3.5
- switch to Qt6

* Mon Feb 06 2023 daviddavid <daviddavid> 23.2.0-1.mga9
+ Revision: 1938901
- new version: 23.2.0

* Thu Feb 02 2023 daviddavid <daviddavid> 23.1.5-1.mga9
+ Revision: 1937541
- new version: 23.1.5

* Mon Jan 30 2023 daviddavid <daviddavid> 23.1.4-1.mga9
+ Revision: 1937041
- new version: 23.1.4

* Sun Jan 29 2023 daviddavid <daviddavid> 23.1.2-1.mga9
+ Revision: 1936729
- new version: 23.1.2

* Wed Jan 18 2023 daviddavid <daviddavid> 23.1.1-1.mga9
+ Revision: 1934304
- new version: 23.1.1

* Sun Jan 08 2023 daviddavid <daviddavid> 23.1.0-1.mga9
+ Revision: 1931607
- new version: 23.1.0

* Tue Dec 13 2022 daviddavid <daviddavid> 22.12.2-2.mga9
+ Revision: 1921718
- build with system botan2

* Tue Dec 13 2022 daviddavid <daviddavid> 22.12.2-1.mga9
+ Revision: 1921467
- new version: 22.12.2

* Mon Dec 05 2022 daviddavid <daviddavid> 22.12.0-1.mga9
+ Revision: 1918255
- new version: 22.12.0

* Sat Dec 03 2022 daviddavid <daviddavid> 22.11.9-1.mga9
+ Revision: 1915903
- new version: 22.11.9

* Sat Nov 26 2022 daviddavid <daviddavid> 22.11.8-1.mga9
+ Revision: 1911204
- new version: 22.11.8

* Tue Nov 15 2022 daviddavid <daviddavid> 22.11.5-1.mga9
+ Revision: 1907685
- new version: 22.11.5

* Sun Nov 06 2022 daviddavid <daviddavid> 22.11.3-1.mga9
+ Revision: 1904101
- new version: 22.11.3

* Sat Sep 10 2022 papoteur <papoteur> 22.8.4-1.mga9
+ Revision: 1886564
- new 22.8.4

* Mon Aug 22 2022 papoteur <papoteur> 22.8.3-1.mga9
+ Revision: 1879474
- new 22.8.3

* Wed Apr 06 2022 umeabot <umeabot> 21.5.3-2.mga9
+ Revision: 1845840
- Mageia 9 Mass Rebuild

* Sun May 16 2021 daviddavid <daviddavid> 21.5.3-1.mga9
+ Revision: 1724892
- new version: 21.5.3

* Mon May 10 2021 daviddavid <daviddavid> 21.5.1-1.mga9
+ Revision: 1722384
- new version: 21.5.1

* Thu Dec 17 2020 umeabot <umeabot> 20.8.10-2.mga8
+ Revision: 1659546
- Rebuild for new Qt5

* Mon Aug 24 2020 daviddavid <daviddavid> 20.8.10-1.mga8
+ Revision: 1618285
- initial package qownnotes (mga#27181)

